de.esprit.netsuite.netdata.agent

## Class SeqAgentId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.task.TaskId
      - - de.esprit.netsuite.rtask.RemoteTaskId
        - - de.esprit.netsuite.netdata.agent.AgentId
          - - de.esprit.netsuite.netdata.agent.SeqAgentId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class SeqAgentId
      extends AgentId

  This is the AgentId of a sequence agent. It carries information about sequencing.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeqAgentId(SessionId sessId, java.lang.String agentName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` IMPORTANT Overridden to compare taskId as well as sessionId.
    `int` | `getMaxSequenceId()`
    `java.lang.String` | `getRenderText()`
    `int` | `getSequenceId()`
    `boolean` | `isLast()`
    `void` | `setMaxSequenceId(int maxSequenceId)`
    `void` | `setSequenceId(int sequenceId)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.agent.AgentId

      `clone, getCreationTs, getKillerSessionId, isNoReturn, isRejectable, setCancelledBy, setNoReturn, setRejectable`

    - ### Methods inherited from class de.esprit.netsuite.rtask.RemoteTaskId

      `getOwnerSessionId, getServerName, getSessionId, setOwnerSessionId, setSessionId`

    - ### Methods inherited from class de.esprit.appsuite.task.TaskId

      `getFinishTime, getName, getRenderColor, getRenderIcon, getStartTime, getState, getTID, getType, hashCode, isFinished, isRunning, setFinished, setName, setRunning, setType, toDumpString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeqAgentId

          public SeqAgentId(SessionId sessId,
                    java.lang.String agentName)

  - ### Method Detail

    - #### getMaxSequenceId

          public int getMaxSequenceId()

    - #### setMaxSequenceId

          public void setMaxSequenceId(int maxSequenceId)

    - #### getSequenceId

          public int getSequenceId()

    - #### setSequenceId

          public void setSequenceId(int sequenceId)

    - #### isLast

          public boolean isLast()

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `AgentId`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from class: `RemoteTaskId`
      IMPORTANT Overridden to compare taskId as well as sessionId.
      Overrides:
        `equals` in class `AgentId`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AgentId`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.